> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# पोस्ट्स प्रबंधित करें

> प्रमाणीकृत उपयोगकर्ताओं की ओर से पोस्ट्स बनाएँ और हटाएँ

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

पोस्ट्स प्रबंधित करें एंडपॉइंट्स की मदद से आप प्रमाणित उपयोगकर्ताओं की ओर से पोस्ट्स बना और हटा सकते हैं। ऐसे ऐप्स बनाएं जो सामग्री पोस्ट करें, थ्रेड्स बनाएं, या उपयोगकर्ताओं के पोस्ट्स प्रबंधित करें।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="पोस्ट बनाएँ" icon="pen">
    नई पोस्ट प्रकाशित करें
  </Card>

  <Card title="पोस्ट हटाएँ" icon="trash">
    मौजूदा पोस्ट हटाएँ
  </Card>

  <Card title="जवाब दें" icon="reply">
    किसी दूसरी पोस्ट का जवाब दें
  </Card>

  <Card title="कोट करें" icon="quote-right">
    किसी दूसरी पोस्ट को उद्धृत करें
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## एंडपॉइंट्स
</div>

| Method | Endpoint                                       | Description     |
| :----- | :--------------------------------------------- | :-------------- |
| POST   | [`/2/tweets`](/hi/x-api/posts/create-post)     | नया पोस्ट बनाएँ |
| DELETE | [`/2/tweets/:id`](/hi/x-api/posts/delete-post) | पोस्ट हटाएँ     |

***

<div id="creating-posts">
  ## पोस्ट्स बनाना
</div>

<div id="basic-post">
  ### सामान्य पोस्ट
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"text": "Hello from the API!"}'
```

<div id="reply-to-a-post">
  ### किसी पोस्ट का जवाब दें
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "This is a reply!",
    "reply": {
      "in_reply_to_tweet_id": "1234567890"
    }
  }'
```

<div id="quote-a-post">
  ### किसी पोस्ट को कोट करें
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Check this out!",
    "quote_tweet_id": "1234567890"
  }'
```

<div id="post-with-media">
  ### मीडिया के साथ पोस्ट
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Photo of the day",
    "media": {
      "media_ids": ["1234567890123456789"]
    }
  }'
```

<Note>
  पहले [Media Upload endpoint](/hi/x-api/media/quickstart/media-upload-chunked) का उपयोग करके मीडिया अपलोड करें, फिर अपने पोस्ट में `media_id` का इस्तेमाल करें।
</Note>

<div id="post-with-poll">
  ### पोल के साथ पोस्ट
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "What is your favorite color?",
    "poll": {
      "options": ["Red", "Blue", "Green", "Yellow"],
      "duration_minutes": 1440
    }
  }'
```

***

<div id="deleting-posts">
  ## पोस्ट्स हटाना
</div>

```bash theme={null}
curl -X DELETE "https://api.x.com/2/tweets/1234567890" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

<Warning>
  आप केवल प्रमाणीकृत उपयोगकर्ता द्वारा बनाई गई पोस्ट्स को ही हटा सकते हैं।
</Warning>

***

<div id="getting-started">
  ## शुरुआत करना
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/hi/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) या [3-legged OAuth](/hi/resources/fundamentals/authentication#obtaining-access-tokens-using-3-legged-oauth-flow) के ज़रिए यूज़र एक्सेस टोकन
</Note>

<CardGroup cols={2}>
  <Card title="त्वरित शुरुआत" icon="rocket" href="/hi/x-api/posts/manage-tweets/quickstart">
    अपना पहला पोस्ट बनाएँ
  </Card>

  <Card title="इंटीग्रेशन गाइड" icon="book" href="/hi/x-api/posts/manage-tweets/integrate">
    मुख्य अवधारणाएँ और सर्वोत्तम प्रक्रियाएँ
  </Card>

  <Card title="मीडिया अपलोड" icon="image" href="/hi/x-api/media/quickstart/media-upload-chunked">
    पोस्ट्स के लिए मीडिया अपलोड करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/posts/creation-of-a-post">
    एंडपॉइंट का पूरा दस्तावेज़
  </Card>
</CardGroup>
